Bug Hunting Session
Bug 94709 - Base Crashes when deleting a table in Relationship
Summary: Base Crashes when deleting a table in Relationship
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: Other Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.3
Keywords: bibisected, haveBacktrace, regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-10-02 17:21 UTC by Brian Masterman
Modified: 2015-12-17 10:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Ground rent database (4.99 KB, application/vnd.oasis.opendocument.database)
2015-10-02 17:21 UTC, Brian Masterman
Details
bt with debug symbols (7.64 KB, text/plain)
2015-10-02 22:45 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Masterman 2015-10-02 17:21:21 UTC
Created attachment 119209 [details]
Ground rent database

In Base, Tools/Relationship after adding a table then deleting the table always causes a crash. Recovery usually works first time
Comment 1 MM 2015-10-02 19:34:43 UTC
Unconfirmed with v4.4.5.2 under mint 17.2 x64.
Confirmed with v5.0.2.2 under mint 17.2 x64.
Comment 2 Julien Nabet 2015-10-02 22:45:27 UTC
Created attachment 119214 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Terrence Enger 2015-10-02 23:31:16 UTC
I see a crash just deleting table_Address from the relationship.  No
previous addition of table necessary.

I am adding whiteboard bibisected, as working in the 50max bibisect 
repository, I see from `git bisect good`..

    442746c7621790af396a8b6b39c0ccebab02916c is the first bad commit
    commit 442746c7621790af396a8b6b39c0ccebab02916c
    Author: Matthew Francis <mjay.francis@gmail.com>
    Date:   Wed May 27 22:10:17 2015 +0800

        source-hash-aef1826d9ca318a1359a2116e7f146e993413234
        
        Bibisect: This commit covers the following irrelevant source commit(s)
        ce82146a6be87b239a0bde0b59fddf8865290b99
    
        commit aef1826d9ca318a1359a2116e7f146e993413234
        Author:     Stephan Bergmann <sbergman@redhat.com>
        AuthorDate: Tue Apr 28 16:17:40 2015 +0200
        Commit:     Stephan Bergmann <sbergman@redhat.com>
        CommitDate: Tue Apr 28 16:18:02 2015 +0200
    
            default initialization of object of const type w/o user-provided default ctor
    
            Change-Id: I99266457d43f9279af32d75d2842480291b6e91d

    :040000 040000 3ba9c7ffb8ba3e8a80c51e6891fa2d2d05a39d79 aef41b62e2a68b93f18200b053cd5ce3de2afc59 M	opt

and from `git bisect log`...

    # bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
    # good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
    git bisect start 'latest' 'oldest'
    # good: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
    git bisect good 0c30a2c797b249d0cd804cb71554946e2276b557
    # good: [2ce02b2ce56f12b9fcb9efbd380596975a3a5686] source-hash-17d714eef491bda2512ba8012e5b3067ca19a5be
    git bisect good 2ce02b2ce56f12b9fcb9efbd380596975a3a5686
    # bad: [40875247f0002056effdf6d2fbe43627691cd86c] source-hash-93f0b14458a618ad575cd446680e5c4aa7d87bdc
    git bisect bad 40875247f0002056effdf6d2fbe43627691cd86c
    # good: [07e62597be0600b763c4d18204799dcf09d2d3d9] source-hash-b2ead407c70f71974a1eac79df09072ff8bd0cc2
    git bisect good 07e62597be0600b763c4d18204799dcf09d2d3d9
    # good: [160904095d61878ae1483787bf25f4c4148365e4] source-hash-2049e3ec22db0684683261746188b40428a0d0e2
    git bisect good 160904095d61878ae1483787bf25f4c4148365e4
    # bad: [957b579081899413657c40feb8b41b5a43a8e55b] source-hash-74706c4057e027898022ac42de210302cdc92d99
    git bisect bad 957b579081899413657c40feb8b41b5a43a8e55b
    # bad: [4daa0b0b691bfc36e5924f61cc046142845c5d70] source-hash-f6d4cd396803f568ca667ed5e4d7725ade99b5df
    git bisect bad 4daa0b0b691bfc36e5924f61cc046142845c5d70
    # bad: [27de78aa6a89c81519f7882e2201a2fc4b6c5624] source-hash-f016ed2e4f7b8bec79fcaf8e4b566861a7b6ae76
    git bisect bad 27de78aa6a89c81519f7882e2201a2fc4b6c5624
    # bad: [8536df1e00d1bbdb1c2e66bde9ed551dff1a08d3] source-hash-4de83e2c322509c0fb1b989f7e4898728fc4a408
    git bisect bad 8536df1e00d1bbdb1c2e66bde9ed551dff1a08d3
    # bad: [a8db8c63e0bd595e16fbbffc49911b77bf94da96] source-hash-abce3f30ac8e1c1d40c76de611b6a10d00d7555c
    git bisect bad a8db8c63e0bd595e16fbbffc49911b77bf94da96
    # good: [436a7ed41b8c084b15a17b95027e4d2785a94d97] source-hash-84c73c983577e33dda266bbfcdd89b9e1202906b
    git bisect good 436a7ed41b8c084b15a17b95027e4d2785a94d97
    # bad: [442746c7621790af396a8b6b39c0ccebab02916c] source-hash-aef1826d9ca318a1359a2116e7f146e993413234
    git bisect bad 442746c7621790af396a8b6b39c0ccebab02916c
    # good: [53871cea909a0b86726f189bcfdab2890ffcf9e9] source-hash-a31991c4188e91326941fbe510ce70129d1ccde8
    git bisect good 53871cea909a0b86726f189bcfdab2890ffcf9e9
    # first bad commit: [442746c7621790af396a8b6b39c0ccebab02916c] source-hash-aef1826d9ca318a1359a2116e7f146e993413234
Comment 4 Commit Notification 2015-10-07 16:08:50 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8a795c9a0cc542f008166109528d4257afe2851

tdf#94709 - protect TableWindowTitle Command execution.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Meeks 2015-10-07 16:16:47 UTC
Thanks - its somewhat odd that this worked in the past - but ... anyhow its armoured now; patch in gerrit: https://gerrit.libreoffice.org/19233
Comment 6 Commit Notification 2015-10-08 11:28:49 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7e8fe2a4b0c2554200b1191cf4497c0ece8dbeb&h=libreoffice-5-0

tdf#94709 - protect TableWindowTitle Command execution.

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Terrence Enger 2015-10-08 13:40:23 UTC
Thank you, Michael.  Daily dbgutil bibisect version 2015-10-08 runs
through the test without a crash.
Comment 8 Commit Notification 2015-10-12 12:22:35 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af956b879cf7cda1da878a36a9feb9223298248a&h=libreoffice-5-0-3

tdf#94709 - protect TableWindowTitle Command execution.

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 10:33:40 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]